This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1474426 - CNS no longer deploys on OCP 3.3 [NEEDINFO]
CNS no longer deploys on OCP 3.3
Status: ASSIGNED
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: CNS-deployment (Show other bugs)
cns-1.0
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Raghavendra Talur
Anoop
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-24 11:08 EDT by Matthew Robson
Modified: 2017-09-28 13:28 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mrobson: needinfo? (madam)


Attachments (Terms of Use)

  None (edit)
Description Matthew Robson 2017-07-24 11:08:11 EDT
Description of problem:

You can no longer deploy CNS to Openshift 3.3.  Openshift 3.3 supports RHGS 3.1.3.

Following the install guide leads to installing CNS 3.5 / RHGS 3.2.x

The templates used are found under: /usr/share/heketi/templates/

The same files (same names) are provided from both heketi-templates and cns-deploy.

heketi-templates-2.0.6-1.el7rhgs.x86_64 is obsoleted by cns-deploy-4.0.0-19.el7rhgs.x86_64

cns-deploy is installed over heketi-templates due to the obsoletion:

sudo yum install heketi-templates
Loaded plugins: search-disabled-repos
Package heketi-templates is obsoleted by cns-deploy, trying to install cns-deploy-4.0.0-19.el7rhgs.x86_64 instead
Resolving Dependencies
--> Running transaction check
---> Package cns-deploy.x86_64 0:4.0.0-19.el7rhgs will be installed

So now the glusterfs-template.yaml points to an image with RHGS 3.2 and thus will not work.

- image: rhgs3/rhgs-server-rhel7:3.2.0-7

For OCP 3.3, you would need image: rhgs3/rhgs-server-rhel7:3.1.3-17

This is old and has an E security ranking from the container portal.



Version-Release number of selected component (if applicable):

OCP 3.3
RHGS 3.1.3


How reproducible:

Follow the OCP 3.3 / Gluster 3.1 CNS directions.

Steps to Reproduce:
1.
2.
3.

Actual results:

Fails


Expected results:

Still works

Additional info:
Comment 2 Michael Adam 2017-08-02 10:58:34 EDT
We don't support OCP 3.3 or older with CNS 3.5.
It just does not work with the old kubernetes (no dynamic provisioning, etc).

We can continue discussing, but we can't do antyhing for 3.6 any more.

==> moving out of 3.6 for continued discussion.

Note You need to log in before you can comment on or make changes to this bug.